
#-------------------------------------------------------------------------
# Set working directory, locale and load packages
#-------------------------------------------------------------------------

setwd("~/Replication_files")
Sys.setlocale(category = "LC_ALL", locale = "en_US.UTF-8") # ensures UTF-8 encoding for reading Swedish special characters

# Script 01
library(tidyverse)                                        # used for data wrangling
library(readxl)                                           # used for reading and writing Excel files
library(openxlsx)                                         # used for reading and writing Excel files
library(janitor)                                          # used for additional wrangling functions
library(swemaps)                                          # used for getting and mapping Swedish municipal geographics

# Script 02 + 03
library(zoo)                                              # used for filling in missing rows in data
library(lubridate)                                        # used for working with date variables in ggplot2
library(rkolada)                                          # used for downloading municipal data through the Kolada API. Install package from GitHub with "devtools::install_github('reinholdsson/rkolada')"
library(rio)                                              # used to import xlsx data as list      

# Script 04
library(scales)                                           # used for calculating and writing as percentages
library(ggrepel)                                          # used for working with labels in ggplot2
library(haven)                                            # used for reading and writing SPSS files
library(sjlabelled)                                       # used for retrieving variable labels
library(stargazer)                                        # used for creating tables in latex format

# Script 05
library(gridExtra)                                        # used for arranging plots

# Script 06
library(lfe)                                              # used for performing DiD analysis

# Script 07
library(permute)                                          # used for performing permutations
library(parallel);library(doParallel);library(foreach)    # used for parallel computing
library(fixest)                                           # for event study modelling
library(conleyreg)                                        # used for spatial regression
